=head1 NAME

dot2ruby - create a ruby script from a graphviz script

=head1 SYNOPSIS

B<dot2ruby> [B<-o>I<file>] [B<-T>I<format>] [B<-h>] [B<-V>] I<script>

=head1 DESCRIPTION

B<dot2ruby> is a tool that allows you to create a ruby script from 
a graphviz script.

See I</usr/share/doc/ruby-graphviz/> for more details.

=head1 OPTIONS

B<-o>, B<--output-file> [I<file>]
 	Path to output image file (default STDOUT)

B<-T>, B<--output-format> [I<format>]
 	Output format (default: png)

B<-p>, B<--path>
 	Graphviz path

B<-V>, B<--version>
 	Show version

B<-h>, B<--help>
 	Show this usage message

=head1 EXAMPLE

 $ cat hello.dot
 digraph G {Hello->World;}

 $ dot2ruby hello.dot
 # This code was generated by dot2ruby.g
 
 require 'rubygems'
 require 'graphviz'
 graph_g = GraphViz.digraph( "G" ) { |graph_g|
   graph_g[:bb] = '0,0,70,108'
   node_hello = graph_g.add_nodes( "Hello", :height => '0.5', :label => '\N', :pos => '35,90', :width => '0.88889' )
   graph_g.add_edges( "Hello", "World", :pos => 'e,35,36.413 35,71.831 35,64.131 35,54.974 35,46.417' )
   node_world = graph_g.add_nodes( "World", :height => '0.5', :label => '\N', :pos => '35,18', :width => '0.97222' )
 }
 puts graph_g.output( :canon => String )

=head1 AUTHOR

Copyright 2004-2012 Gregoire Lejeune

This manual page is written by Praveen Arimbrathodiyl <praveen@debian.org> for
Debian GNU System (GNU/Linux, GNU/kFreeBSD, GNU/Hurd).
